Mick
Oct 30 2006, 06:12 PM
According to Infoweek VMWare released a closed beta of their Intel Mac product, dubbed Fusion about 2 weeks ago.
Anybody got lucky to be in the first round of beta testers? Curious about Mac OS guest support and maybe 3D graphics so Vista would run Aero.
--Mick
xtraktion
Nov 3 2006, 03:38 AM
I just downloaded the beta from vmware and am running it now.
First impressions: Kernel panic after trying to close it without installing an OS.
1.83 GHz Macbook
2.0 GB DDR2 667MHz RAM
asap18
Nov 3 2006, 12:59 PM
im going to try and find this now, thanks for the tip
can u use vm images from vmware workstation too?
calmesal
Nov 3 2006, 06:19 PM
QUOTE (xtraktion @ Nov 3 2006, 05:35 AM)

I just downloaded the beta from vmware and am running it now.
First impressions: Kernel panic after trying to close it without installing an OS.
1.83 GHz Macbook
2.0 GB DDR2 667MHz RAM
where did you get it?
A link please!
AriX
Nov 3 2006, 07:39 PM
please give us a link!
curlyboy
Nov 3 2006, 08:30 PM
CoMzY
Nov 3 2006, 09:18 PM
I have signed up with two emails and still no mail, it says I have to wait until it goes public, anyone who have a direct link for DL?
It ownes parallels i my eyes.
calmesal
Nov 3 2006, 09:25 PM
QUOTE (curlyboy @ Nov 3 2006, 10:27 PM)

This is not a news!
I have signed up fot more than two month ago, still no public beta.
domino
Nov 3 2006, 09:35 PM
yeppers, fusion was just released a few hours ago. ~81mb and should be installed on my setup shortly.
CoMzY
Nov 3 2006, 09:40 PM
Is it possible for me to get a copy ? Doesn't have the patience to wait until it goes public :S
Colonel
Nov 3 2006, 11:03 PM
Yeah, I'd also love to give it a try.
AriX
Nov 4 2006, 01:15 AM
I've got a link

PM Me
Virtualball
Nov 4 2006, 03:17 AM
The Green Demon is learning Nucleur "Fusion" now.
(Yeah, I know it sucked but you get the point)
velayo
Nov 4 2006, 03:18 AM
Got it from the green demon and it doesn't work. I can't install anything or start pre installed machines.
Colonel
Nov 4 2006, 03:32 AM
I was able to install it on my Hack with Pacifist. I can create a new VM, but when I try to start it up, i just get a white screen. See the pic. Could there be some sort of check that vmware has to see if you're using a real Mac?
Korrupted
Nov 4 2006, 05:57 AM
I tried to boot the osx86 dvd(10.4.8) in osx86(10.4.8 kernel) and it kernel panicked my iHack. The VM turned on just fine though. :S
Mick
Nov 4 2006, 06:11 AM
Does Fusion co-exist with Parallels? Don't want to blow up my hole machine or the Parallels installation by installing the beta.
--Mick
seebaru
Nov 4 2006, 07:52 AM
I, too, get a kernel panic as Fusion nears the end of the install.
After restarting, I'm able to launch Fusion and appear to be able to create a new VM. However, the VM creation wizard never reaches the settings screen (pressing "Continue" instead of "Finish"), and instead launches this new VM to a blank white screen.
The toolbar of the new VM window contains a single, left-aligned tool (expand to fullscreen), which I reckon is a symptom of the partial install. Meanwhile, there are no options available from any menu for changing VM settings.
Menno
Nov 4 2006, 01:39 PM
I have downloaded it, and booted up the installation of mandriva 2007 powerpack. I won't install it, because i have no need of a linux install

. This is on my Hackintosh.
http://www.terlaak.name/vmware.jpg
urig-herb
Nov 4 2006, 02:58 PM
The vmware installation gave me an error. But suprisingly the app started and right now I'm installing xp from a disk image. It runs very fast und everything looks good so far.
velayo
Nov 4 2006, 03:41 PM
Urig & Menno: where did you guys got the app from? I got mine from the green demon it might be that the uploaded version on the demon is f-up.
urig-herb
Nov 4 2006, 03:47 PM
I got mine from demon too. As I said, installation finished with an error message "This application could not be installed" or simliar. But it runs and my fresh xp installation is nearly finished. I hope OS X will still reboot.
Menno
Nov 4 2006, 04:06 PM
I've got it from the green demon. Search for vmware fusion and then take the latest torrent with the build nummer. Cheers

// by the way: installation dind't give me any erros. Everything works right now.
velayo
Nov 4 2006, 04:25 PM
Menno and Urig both your processor support VT-X? That might be the problem it is probably trying to use those instructions.
I eliminated the installation scripts and the postflight and got it to install without problems. But I still get to the same point the virtual machines will not start.
urig-herb
Nov 4 2006, 04:42 PM
My cpu does not have VT-X (see signature). VMWare runs slower than parallels. But it has still debugging code and it is a beta! I'm still trying to install vmware tools, though. Maybe it's getting faster then.
velayo
Nov 4 2006, 04:53 PM
Urig, I'm just trying to single out the problem.
Tried to edit some kexts and to change some settings within the application but still can't get it to load the vm's. Oh well. There must be someone who knows what to hack!
urig-herb
Nov 4 2006, 05:12 PM
XP and vmware tools are installed. It is still very slow, parallels is much faster on my system. Ethernet adapter doesn't work, maybe it wasn't configured correctly during vmware installation. In this state it is barely useable.
nevermind1331
Nov 4 2006, 06:25 PM
Fusion is actually very nice. Runs stable and has great features (more than parallels). Of course, so far, it is slower.
Features not in parallels:
Dragging files directly into VM.
Built in iSight supported (you have to get the drivers and manually install them however)
Full custom resolution (drag the bottom right hand corner and VM automatically resizes. Excellent.)
Hopefully once the debug code is removed it will run better, but it probably replaces parallels for me right now.
urig-herb
Nov 4 2006, 06:35 PM
Is your NIC configured properly? I have no vmware network adapter in OS X system settings.
nevermind1331
Nov 4 2006, 06:37 PM
QUOTE (urig-herb @ Nov 4 2006, 06:35 PM)

Is your NIC configured properly? I have no vmware network adapter in OS X system settings.
works perfect. i am using an intel imac. of course, right now i am connected wirelessly. I can check ethernet tomorrow.
urig-herb
Nov 4 2006, 06:54 PM
I'm on a hackintosh, of course.

I don't mean the connection of your mac but the internal nic. Parallels installed something called "Parallels Host Guest Adapter".
nevermind1331
Nov 4 2006, 07:50 PM
QUOTE (urig-herb @ Nov 4 2006, 06:54 PM)

I'm on a hackintosh, of course.

I don't mean the connection of your mac but the internal nic. Parallels installed something called "Parallels Host Guest Adapter".
sorry, makes sense. My nic works perfect, and i did not have to change any settings.
Wish I could remove the debug code...
munky
Nov 4 2006, 11:51 PM
I just gave it a quick try on my MacBook Pro, but it cant (yet) boot my Bootcamp installation, so for me it offers nothing over Parallels. I dont care which camp gets there first, but I refuse to have TWO WinXP installs on my machine - I just want one I can choose to boot natively OR via a VM.
(Note to anyone who says this isnt possible - VMWare on Windows can do it, so why not Mac?)
munky
Nov 5 2006, 01:50 AM
Maybe someone clever could use this kind of trick? VMWare Fusion seems to use the same .vmx files...
http://www.linuxquestions.org/linux/answer..._Linux_for_freeI would attempt it if it wasnt 2am and i hadnt just hosed my OS X install

(bloody MonoLingual - default strip operation removes PPC from all frameworks, thus Rosetta dont work no more

)
semthex
Nov 5 2006, 04:47 PM
I tried VMWare fusion as registered Beta tester but wasn't that impressed. A major feature missing was support for booting native installs from disk to VMWare, which is a basic feature I need. A second point I really was sad about were serveral existing problems with the GUI I encountered during testing.
I think I need to wait til the final release, if they don't fix the boot native probelm it will be useless for me.
AriX
Nov 6 2006, 02:04 AM
QUOTE (semthex @ Nov 5 2006, 11:47 AM)

I tried VMWare fusion as registered Beta tester but wasn't that impressed. A major feature missing was support for booting native installs from disk to VMWare, which is a basic feature I need. A second point I really was sad about were serveral existing problems with the GUI I encountered during testing.
I think I need to wait til the final release, if they don't fix the boot native probelm it will be useless for me.
same for me, i really hope they let me boot native, and i also hope they give raw usb support because parallels still has bugs with that
munky
Nov 6 2006, 03:23 PM
nobody got the time to try the trick i linked to?
bgg71
Nov 7 2006, 06:44 AM
QUOTE (xtraktion @ Nov 3 2006, 03:38 AM)

I just downloaded the beta from vmware and am running it now.
First impressions: Kernel panic after trying to close it without installing an OS.
1.83 GHz Macbook
2.0 GB DDR2 667MHz RAM
same on my hacintosh dell latitude d600 pentium mobile 1.4 GHz
have parallels running but is way to slow. However, at least it works. Registered with vmware to notify me when a public beta is available. The one I tried was from demonoid.
Colonel
Nov 7 2006, 06:51 AM
Just for laughs, I ran Geekbench in VMWare and well...the results speak for themselves.
http://www.geekpatrol.ca/browse/2006/?view&id=8910
jfpoole
Nov 7 2006, 05:56 PM
QUOTE (colonels @ Nov 7 2006, 01:51 AM)

Just for laughs, I ran Geekbench in VMWare and well...the results speak for themselves.
Yeah. Geekbench uses high-resolution timers that aren't always accurate on virtual machines, which is why some of the results look reasonable, while other results look quite unreasonable.
If you want accurate timers under VMWare (say if you want somewhat accurate benchmarks using Geekbench), you can set
CODE
monitor_control.virtual_rdtsc = false
in the virtual machine configuration file. It might cause the guest OS to crash, though, so be careful!
RTheDuke
Nov 8 2006, 11:10 AM
QUOTE (colonels @ Nov 4 2006, 04:32 AM)

I was able to install it on my Hack with Pacifist. I can create a new VM, but when I try to start it up, i just get a white screen. See the pic. Could there be some sort of check that vmware has to see if you're using a real Mac?

I had the same white screen , once the VM is started. It looks like the VM with XP is running underneat. maybe something with the video driver is wrong. Or maybe there is some .vmx switch to activate to make it running on the Hackintoshes.
Any ideas ? Having it running will be GREAT .... or : should i really get the "real" thing ?
P.S: Parallels seems working, indeed..... cheers, RTheDuke
Trombone_Bob
Nov 15 2006, 11:53 PM
I found that once I installed the kext from this topic
http://forum.insanelymac.com/index.php?sho...mp;#entry235299 that VMWare Fusion didn't give me any errors when using my Dell e1505. I am using the new 10.4.8 kernel. If any of you had errors with Fusion I would recommend that you get the kext.
wimbledonpaul
Nov 22 2006, 04:23 PM
I was able to take the VmWare image of WinXP from my windows machine and run it up under vmware on the mac x86 without problems... which is handy :-)
macgirl
Nov 24 2006, 05:57 AM
QUOTE (RTheDuke @ Nov 8 2006, 06:10 AM)

I had the same white screen , once the VM is started. It looks like the VM with XP is running underneat. maybe something with the video driver is wrong. Or maybe there is some .vmx switch to activate to make it running on the Hackintoshes.
Any ideas ? Having it running will be GREAT .... or : should i really get the "real" thing ?
P.S: Parallels seems working, indeed..... cheers, RTheDuke
I believe it have to do with video capabilities, I installed VMware Fusion on my 10.4.7 installation, then tried to install from a XP CD Image without success, then I installed a XP on VMware in windows copied the image to the Mac partition ran Fusion same blank screen, then I upgraded to 10.4.8, now with QE and CI it shows the screen and runs without probs, I even copied my windows "settings" to have the same.
BTW I'm setting this thread as the "official" VMware Fusion thread and make it sticky.
saivert
Nov 26 2006, 07:11 AM

(click for larger)

(click for larger)
Host system is a Hackintosh with nForce 4 chipset and AMD Opteron 150 @ 2,4GHz processor running Mac OS X 10.4.8 (kernel 8.8.1)
VMWare version:

Oh, I almost forgot. The OLD classics we love.

(click for larger)
cyclonefr
Nov 26 2006, 12:26 PM
still, kernel panic during installation
Takuro
Nov 26 2006, 03:27 PM
QUOTE (colonels @ Nov 3 2006, 10:32 PM)

Could there be some sort of check that vmware has to see if you're using a real Mac?
I'm pretty sure everybody's problems are due to the fact that the program basically sucks at this point. If it was stable enough, all the people who signed up as beta testers would've gotten an email. This is just some ultra-buggy test that was never intended to leak to anybody.
I wonder if VMware Fusion's development will slow down due to the upcoming release of Vista. Companies like VMware usually prioritize Windows compatibility before Mac compatibility.
Just for kicks: has anybody managed to use Fusion to boot into a physical disc and run their existing installation of Windows from within OS X?
-jordn-
Nov 26 2006, 06:23 PM
hey,
does VMware Fusiom work okay on AMD processors? i heard somewhere that it relies heavily on the VT-X CPU extension that currently only the Intel processors based on their new core have.
any Opteron 165 users especially?
jordn
PS- sorry if im hijacking the thread.
macgirl
Nov 27 2006, 03:28 AM
Sure, I have an Opteron 165, see my previous post.
BladeRunner
Nov 29 2006, 10:50 AM
I have tried - several times - to install the copy I got from the demon. each time it caused a kernel panic and I had to power off. So, I decided to experiment a bit.
I mounted the disk image and drug the install package to the desktop so I could edit the contents. Then in a terminal window:
CODE
vi /Users/lrh/Desktop/VMware\ Fusion\ 1.0.pkg/Contents/Resources/postflight
This reveals the following:
CODE
#!/bin/bash
###
# Postflight script for VMware Fusion
# Copyright 2006 VMware, Inc. All rights reserved.
###
set -e
export PATH=/bin:/sbin:/usr/bin:/usr/sbin
LIBDIR="/Library/Application Support/VMware Fusion"
# XXX: This writes files to LIBDIR. Is that what we want?
#
# TODO: This takes about 15-30 seconds to run, and it runs every time
# the package is installed, upgraded, or reinstalled. We could avoid
# it on upgrade and reinstall by moving this to a postinstall script,
# but people might want it to run on reinstall.
cd "$LIBDIR"
./vmware-config-net.pl
# Execute the boot-time script to load the kernel modules and start daemons.
"$LIBDIR/boot.sh"
I commented out the execution of "boot.sh", saved the file and then ran the install package. It completed without error.
When I tried to run vmware I got the results several have posted - it would start and open a blank white screen and nothing else.
When I tried to reboot my system it went from the gray apple with pinwheel to a black screen and hung. I had to power off. Reboot with -v showed the problem - a kernel panic.
I then booted the system in single user mode and went to have a look at the boot.sh file. I commented out what I thought might be causing the problem and restarted the system which booted to a gui.
This is what I found:
CODE
vi /Library/Application\ Support/VMware\ Fusion/boot.sh
Editing the boot.sh file shows:
CODE
#!/bin/bash
###
# Startup script for VMware Fusion
# Copyright 2006 VMware, Inc. All rights reserved.
###
set -e
export PATH=/bin:/sbin:/usr/bin:/usr/sbin
LIBDIR="/Library/Application Support/VMware Fusion"
VMNAT_LOGFILE="/var/log/vmnat.log"
LEASEFILE="/var/db/vmware/dhcpd.leases"
if [ ! -x "$LIBDIR/vmnat" -o ! -x "$LIBDIR/vmnet-dhcpd" ]; then
echo "Error: Programs $LIBDIR/vmnat or $LIBDIR/vmnet-dhcpd not found!"
exit 1
fi
if [ ! -e "$LIBDIR/nat.conf" -o ! -e "$LIBDIR/dhcpd.conf" ]; then
echo "Error: $LIBDIR/nat.conf and $LIBDIR/dhcpd.conf must both exist!"
exit 1
fi
# TODO: We should check (and write) PID files for these rather than using
# killall.
killall vmnat || true
killall vmnet-dhcpd || true
kextunload "$LIBDIR/kexts/vmmon.kext" || true
kextunload "$LIBDIR/kexts/vmioplug.kext" || true
kextunload "$LIBDIR/kexts/vmnet.kext" || true
# kextload "$LIBDIR/kexts/vmmon.kext"
# kextload "$LIBDIR/kexts/vmioplug.kext"
# kextload "$LIBDIR/kexts/vmnet.kext"
# TODO: We should use launchd to start up both vmnat and vmnet-dhcpd.
# "$LIBDIR/vmnat" -c "$LIBDIR/nat.conf" vmnet8 > "$VMNAT_LOGFILE" 2>&1 &
# vmnet-dhcpd puts itself in the background (daemon mode)
# "$LIBDIR/vmnet-dhcpd" -cf "$LIBDIR/dhcpd.conf" -lf "$LEASEFILE" \
# -pf /var/run/vmnet-dhcpd-vmnet8.pid vmnet8
As you can see, I have commented out the portion starting with the kextload commands. On my system - specs below - attempting to load any of the vmware kexts causes a kernel panic - either in single user mode or when running the boot.sh command in a terminal window.
I believe the reason for the nonfunctional white screen that some of us have seen is the lack of the vmware kext packages being loaded. Sadly, I have hit the end of my skill set here and don't know how to resolve the problem.
I did check. The files & kext packages have the correct owner & file mode.
Any suggestions would be greatly appreciated.
This is a "lo-fi" version of our main content. To view the full version with more information, formatting and images, please
click here.